#include <knob/file.h>
#include <knob/user.h>

void main(const char *path) {
  struct file *f = open_file(path);
  if (!f) {
    tell_user_sz("Couldn't open file.\n");
    return;
  }
  char buf[] = { '\0', '\0' };
  while (read_from_file(f, 1, buf))
    tell_user_sz(buf);
  tell_user_sz("\n");
  close_file(f);
}