#include <knob/user.h>
#include <knob/task.h>
#include "cmds.h"
#include "line.h"

void main(const char *arg) {
  source(*arg ? arg : "user/default.rc");
  char cmd_buf[128];
  yield_task();
  struct history *cmd_hs = new_history(128);
  tell_user_sz("Portland Highway\nType \"help\" for help.\n");
  while (1) {
    tell_user_sz("\n> ");
    ask_user_line_sz_with_history(cmd_buf, 127, cmd_hs);
    run_line(cmd_buf);
  }
}